#ifndef _SIM_diff_H
#define _SIM_diff_H

#include "sim_defs.h"

t_stat sim_diff_attach (DEVICE *dptr, UNIT *uptr, char *fileName, t_value blockSize);
t_stat sim_diff_detach (DEVICE *dptr, UNIT *uptr);
t_stat sim_diff_compare (DEVICE *dptr, UNIT *uptr, char *virtualFileName, char *diffFileName, t_value blockSize);
t_stat sim_diff_merge (DEVICE *dptr, UNIT *uptr);
t_stat sim_diff_stats (DEVICE *dptr, UNIT *uptr);
size_t diff_fwrite(void *bptr, size_t size, size_t count, FILE *fptr);
size_t diff_fread (void *bptr, size_t size, size_t count, FILE *fptr);


#endif                                                  /* _SIM_diff_H */
